package cz.moneta.test.regression.commercial.auto.smartauto.cr;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.credentials.Keys.smart;
import cz.moneta.test.dsl.util.task.auto.smartauto.cr.SmartAutoCrTasks;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

@TestScenario(name = "For Billing")
public class ForBillingTest {

    @JiraTestCase(id = "LAMD-T1046")
    @TestCase(name = "Go to CR module and check For Billing page elements")
    public void tcCheckCrForBilling(Harness harness, @Key(smart.auto.general) Credentials credentials) {
        SmartAutoCrTasks smartAutoCrTasks = harness.tasks().auto().smartAutoCr();

        harness.withSmartAuto()
                .openLoginPage()
                .then(smartAutoCrTasks.login().loginWithCredentials(credentials))
                .checkForBillingTexts()
                .checkForBillingTitles()
                .checkForBillingButtons();
    }
}